> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/check-connection.md).

# Check Connection

## Check Connection

> Checks Connection of the Multi Factor Authentication.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/CheckConnection":{"get":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Check Connection","description":"Checks Connection of the Multi Factor Authentication.","operationId":"a8b32a5d-955a-422b-95b7-65feabc3d083","parameters":[{"name":"Server","in":"query","description":"The server of the second level authentication provider.","schema":{"type":"string"}},{"name":"BackupServer","in":"query","description":"The backup server of the second level authentication provider.","schema":{"type":"string"}},{"name":"Port","in":"query","description":"The port number of the second level authentication provider..","schema":{"type":"integer","format":"int32"}},{"name":"HAMode","in":"query","description":"The type of high availability mode to be used.","schema":{"$ref":"#/components/schemas/HAMode"}},{"name":"Timeout","in":"query","description":"Connection timeout (in seconds).","schema":{"type":"integer","format":"int32"}},{"name":"Retries","in":"query","description":"Number of retries.","schema":{"type":"integer","format":"int32"}},{"name":"SecretKey","in":"query","description":"The secret key.","schema":{"type":"string"}},{"name":"PasswordEncoding","in":"query","description":"The type of password encoding to be used.","schema":{"$ref":"#/components/schemas/PasswordEncoding"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"HAMode":{"enum":[["0 = Parallel","1 = Serial"]],"type":"string","description":"<para type=\"synopsis\">High Availability  Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"PasswordEncoding":{"enum":[["0 = PAP","1 = CHAP","2 = PAP_UTF8","3 = CHAP_UTF8"]],"type":"string","description":"<para type=\"synopsis\">Password Encoding</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/check-connection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
